Subject: (ngtrans) Teredo question

From: "Fred L. Templin" <[email-masked]>
Date: Wed, 25 Sep 2002 10:49:07 -0700

Hello,

In 'draft-ietf-ngtrans-shipworm-08.txt', section 6.1 says:

   + 6.1 Why do we require address obfuscation?
   +
   + The Teredo address, as specified in section 4.1.1, include an
   + obfuscated copy of the mapped IPv4 address and UDP port of the
   + client. This is done to prevent abusive NAT "smartness." We have
   + experimental evidence that some NATs, probably in a desire to help
   + applications operate more transparently across NATs, are programmed
   + to look for occurrence of a 32-bit value that matches their local
   + address, and to replace any such value by the local IP address
   + allocated to the client; some may also attempt to translate the port
   + values; this treatment is performed by some NATs even if they don't
   + know the details of the application protocol. By obfuscating the
   + address and port, we prevent the NAT from recognizing their own IPv4
   + address in the UDP packets exchanged between client and server, and
   + avoid the errors caused by a possible rewriting.

Maybe I'm not reading this correctly, but it seems to me that such NATs
would be good subject material for an: "<xyz> considered harmful" document.
Any piece of equipment that blindly replaces values in the application
protocol data just because they match an IP address or port number could
potentially do considerable harm to data integrity. Such a NAT box could:

  - alter digital photographs
  - invalidate business transactions
  - change the amount of money in my bank account
  - name your worst-case scenario

Am I reading this correctly? If so, it would seem that address obfuscation
would serve to keep such broken NAT boxes operating when they should instead
be identified and dismantled.

Fred
[email-masked]

---

From: Keith Moore <[email-masked]>
Date: Wed, 25 Sep 2002 13:54:42 -0400

> would be good subject material for an: "<xyz> considered harmful" document.

*any* NAT would be good subject material for a "considered harmful" document.

Keith